{ pkgs, ... }:
let
  customfonts = pkgs.callPackage ../packages/customfonts.nix { inherit pkgs; };
in
{
  programs.mangohud = {
    enable = true;
    enableSessionWide = true;
    settings = {
      # see https://github.com/flightlessmango/MangoHud/blob/master/data/MangoHud.conf for default config and configuration options
      # General
      cpu_stats = true; # On by default
      cpu_temp = true;
      gpu_stats = true; # On by default
      gpu_temp = true;
      fps = true; # On by default
      frametime = true; # On by default
      throttling_status = true; # On by default
      ram = true;
      vram = true;

      # Misc
      fps_limit = 144;
      show_fps_limit = true;
      font_file = "${customfonts}/share/fonts/opentype/ComicCode.otf";

      # Keybindings
      toggle_hud = "Shift_R+F12";
      toggle_hud_position = "Shift_R+F11";
      toggle_preset = "Shift_R+F10";
      toggle_fps_limit = "Shift_L+F1";
      toggle_logging = "Shift_L+F2";
      reload_cfg = "Shift_L+F4";
      upload_log = "Shift_L+F3";
      reset_fps_metrics = "Shift_R+f9";
    };
  };
}
