{ pkgs, ... }:
{
  programs.nnn = {
    enable = true;
    package = pkgs.nnn.override {
      withNerdIcons = true;
      extraMakeFlags = [ "O_GITSTATUS=1" ];
    };
    extraPackages = with pkgs; [
      bat
      eza
      fzf
      imv
      mediainfo
      libarchive
      ueberzug
      ffmpegthumbnailer
      ffmpeg
      glow
      poppler
      imagemagick
      gnome-epub-thumbnailer
      w3m
    ];
    plugins = {
      src = "${pkgs.nnn.src}/plugins";
      mappings = {
        c = "fzcd";
        f = "finder";
        o = "fzopen";
        p = "preview-tui";
        v = "imgview";
      };
    };
    bookmarks = {
      h = "~";
      D = "~/Downloads";
      d = "~/Documents";
      p = "~/Projects";
    };
  };
}
