{ pkgs, lib, ... }:
let
  gnomeExtensions = with pkgs.gnomeExtensions; [ totp ];
  packages = with pkgs; [ fastfetch ];
in
{
  imports = [
    ../common.nix
    #../../../nixos/shell.nix
  ];

  services.xserver = {
    enable = true;
    displayManager.gdm.enable = true;
    desktopManager.gnome.enable = true;
  };

  virtualisation.vmVariant.virtualisation = {
    memorySize = 8192;
    cores = 6;
  };

  environment.systemPackages = lib.lists.unique (packages ++ gnomeExtensions);
}
