{ lib, ... }:
{
  environment.variables = rec {
    EDITOR = "nvim";
    VISUAL = "neovide";

    # XDG settings
    XDG_CACHE_HOME = "$HOME/.cache";
    XDG_CONFIG_HOME = "$HOME/.config";
    XDG_DATA_HOME = "$HOME/.local/share";
    XDG_STATE_HOME = "$HOME/.local/state";
    XDG_BIN_HOME = "$HOME/.local/bin";

    # less settings
    LESS = "-R";
    # Fix unicode characters not being displayed properly in less or cat (bat)
    # https://github.com/sharkdp/bat/issues/2578#issuecomment-1598332705
    LESSUTFCHARDEF = "E000-F8FF:p,F0000-FFFFD:p,100000-10FFFD:p";

    PATH = [
      "${XDG_BIN_HOME}"
      ../scripts
    ];
  };

  environment.sessionVariables = {
    # Enable Ozone Wayland support in Chromium and Electron applications
    #TODO - This causes issues with VSCode until the November 2024 release.
    NIXOS_OZONE_WL = lib.mkDefault "";
  };
}
