{ pkgs, ... }:
{
  programs.nixvim = {
    extraPlugins = [
      (pkgs.vimUtils.buildVimPlugin {
        # https://github.com/EmilOhlsson/FloatTerm.nvim
        name = "FloatTerm";
        src = pkgs.fetchFromGitHub {
          owner = "EmilOhlsson";
          repo = "FloatTerm.nvim";
          rev = "b6b8f43c097d9edd923a6442e9aca71949cfe6ea";
          sha256 = "sha256-g6qQn2NA3nsTVE8+/9Vc2BCLCcZnKJfryRUXCw/Lp4g=";
        };
      })
    ];
    extraConfigLua = # lua
      ''
        require("FloatTerm").setup({
          window_config = {
            border = 'shadow',
            title = "Terminal",
          },
          pad_vertical = 5,
          pad_horizontal = 10,
        })
      '';
    keymaps = [
      {
        mode = "n";
        key = "<leader>s";
        action = "<CMD>FloatTerm<CR>";
        options = {
          desc = "Toggle Floating Terminal";
          silent = true;
        };
      }
    ];
  };
}
