{
  programs.nixvim = {
    plugins = {
      rainbow-delimiters = {
        enable = true;
        highlight.__raw = "highlight";
      };
      indent-blankline = {
        enable = true;
        settings = {
          exclude = {
            buftypes = [
              "terminal"
              "quickfix"
            ];
            filetypes = [
              ""
              "checkhealth"
              "help"
              "lspinfo"
              "packer"
              "TelescopePrompt"
              "TelescopeResults"
              "yaml"
              "dashboard"
            ];
          };
          scope = {
            show_start = false;
            show_end = false;
          };
        };
      };
    };
    extraConfigLuaPre = # lua
      ''
        local highlight = {
          "RainbowRed",
          "RainbowYellow",
          "RainbowBlue",
          "RainbowPeach",
          "RainbowGreen",
          "RainbowMauve",
          "RainbowTeal",
        }
        local hooks = require("ibl.hooks")
        hooks.register(hooks.type.HIGHLIGHT_SETUP, function()
          vim.api.nvim_set_hl(0, "RainbowRed", { fg = "#f38ba8" })
          vim.api.nvim_set_hl(0, "RainbowYellow", { fg = "#f9e2af" })
          vim.api.nvim_set_hl(0, "RainbowBlue", { fg = "#89b4fa" })
          vim.api.nvim_set_hl(0, "RainbowPeach", { fg = "#fab387" })
          vim.api.nvim_set_hl(0, "RainbowGreen", { fg = "#a6e3a1" })
          vim.api.nvim_set_hl(0, "RainbowMauve", { fg = "#cba6f7" })
          vim.api.nvim_set_hl(0, "RainbowTeal", { fg = "#94e2d5" })
        end)
        --vim.g.rainbow_delimiters = { highlight = highlight }
      '';
    extraConfigLuaPost = "hooks.register(hooks.type.SCOPE_HIGHLIGHT, hooks.builtin.scope_highlight_from_extmark)";
  };
}
