{
  programs.nixvim = {
    plugins.neo-tree = {
      enable = true;
      enableGitStatus = true;
      sources = [
        "filesystem"
        "git_status"
        "buffers"
        "document_symbols"
      ];
      sourceSelector = {
        sources = [
          {
            displayName = "Files";
            source = "filesystem";
          }
          {
            displayName = "Git";
            source = "git_status";
          }
          {
            displayName = "Buffers";
            source = "buffers";
          }
          {
            displayName = "Document Symbols";
            source = "document_symbols";
          }
        ];
      };
    };
    keymaps = [
      {
        mode = "n";
        key = "<leader>e";
        action = "<CMD>Neotree toggle<CR>";
        options = {
          desc = "Toggle Neotree";
          silent = true;
        };
      }
    ];
  };
}
